/* ==================================================================   
 * $Id: codetemplates.xml,v 1.1 2006/04/24 09:18:57 饶国发 Exp $ 
 * Created [2014-9-20 上午10:40:54] by 饶国发 
 * ==================================================================  
 * qrzk 
 * ================================================================== 
 * qrzk  License v1.0  
 * Copyright (c) Wuhan G-Soft Technology CO.,LTD., 2010-2012 
 * ================================================================== 
 * 武汉威鹏科技有限公司拥有该文件的使用、复制、修改和分发的许可权
 * 如果你想得到更多信息，请访问 <http://www.wptech.net.cn>
 *
 * Wuhan WP-Soft Technology CO.,LTD. owns permission to use, copy, modify and 
 * distribute this documentation.
 * For more information on qrzk, please 
 * see <http://www.wptech.net.cn>.  
 * ================================================================== 
 */

package com.qmth.qrzk.repository.pager.model;

import java.util.Date;
import java.util.List;

import com.qmth.qrzk.repository.task.WordHistory;
import com.qmth.qrzk.repository.utils.Consts;
import com.qmth.qrzk.repository.utils.DateHelper;

/**
 * <p> PagerConstruct.java </p>
 * <p>  试卷主表
 * </p>
 * @author $Author: 饶国发 $
 * @version $Revision: V5.1 $
 */
public class PagerConstruct {
    
    private Integer id;             //id
    private String name;        //试卷名称
    private String head;		//试卷题头
    private Integer skeletonId;        //细目表主表ID
    private PaperSkeleton skeleton;		//细目表对象		马涛 2014-9-22 Add
    private Integer pagerTempletId;      //试卷模板id
    private Date startTime;			//试卷启用时间
    private Integer status;         //状态   0草稿  1内容待审批   2内容审批通过 3启用 4内容审批拒绝
    private Integer resourse;  //来源  1智能  2手工
    private Date createdTime;  //创建日期
    private Integer createdBy;                      //创建人
    private String createdByName;				//创建人姓名
    private Date updatedTime;					//最近更新时间
    private Integer updatedBy;						//最近更新人
    private Integer maxSameCount;       //同批试卷重复题数限制
    private Integer maxOldCount;    //旧题限制数量
    private Integer taskId;			//试卷任务Id
    private Integer lastPaperWord;	//最新的Word试卷
    private Integer lastWangpingWord;	//最新的网评卷Word
    private Integer lastTikaWord;	//最新的题卡Word
    private Integer lastAnswerWord;	//最新的Word标准答案
    private String tikaType;	//题卡类型：通用题卡(NORMAL)、专用题卡(SPECIAL)
    private Integer lastZhuanyinWord;	//最新的转印说明Word附件一
    private Integer lastZhuanyinWord2;	//最新的转印说明Word附件二
    private List<PagerConstructQtype> qtypeList;//题型列表
    private List<WordHistory> paperWordHistories;//试卷Word历史版本记录
    private List<WordHistory> wangpingWordHistories;//网评卷Word历史版本记录
    private List<WordHistory> tikaWordHistories;//题卡Word历史版本记录
    private List<WordHistory> answerWordHistories;//答案Word历史版本记录
    private List<WordHistory> zhuanyinHistories;//转印说明历史版本记录
	private String guid;
	
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
    
	public Integer getId() {
        return id;
    }
    public void setId(Integer id) {
        this.id = id;
    }
    public String getName() {
        return name;
    }
    public String getShowName(){
    	if(name == null || name.equals("")){
    		return Consts.DEFAULT_HEAD;
    	}
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }
    public String getHead() {
		return head;
	}
	public void setHead(String head) {
		this.head = head;
	}
	public Integer getSkeletonId() {
        return skeletonId;
    }
    public void setSkeletonId(Integer skeletonId) {
        this.skeletonId = skeletonId;
    }
    public Integer getPagerTempletId() {
        return pagerTempletId;
    }
    public void setPagerTempletId(Integer pagerTempletId) {
        this.pagerTempletId = pagerTempletId;
    }
    public Integer getStatus() {
        return status;
    }
    public String getStatusName(){
		return Consts.PaperStatus.dicMap.get(status);
	}
    public void setStatus(Integer status) {
        this.status = status;
    }
    public Integer getResourse() {
        return resourse;
    }
    public void setResourse(Integer resourse) {
        this.resourse = resourse;
    }
    public Date getCreatedTime() {
        return createdTime;
    }
    public String getCreatedTimeStr(){
    	return DateHelper.formatDate(createdTime);
    }
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }
    public Integer getCreatedBy() {
        return createdBy;
    }
    public void setCreatedBy(Integer createdBy) {
        this.createdBy = createdBy;
    }
	public PaperSkeleton getSkeleton() {
		return skeleton;
	}
	public void setSkeleton(PaperSkeleton skeleton) {
		this.skeleton = skeleton;
	}
	public String getCreatedByName() {
		return createdByName;
	}
	public void setCreatedByName(String createdByName) {
		this.createdByName = createdByName;
	}
    public Integer getMaxSameCount() {
        return maxSameCount;
    }
    public void setMaxSameCount(Integer maxSameCount) {
        this.maxSameCount = maxSameCount;
    }
    public Integer getMaxOldCount() {
        return maxOldCount;
    }
    public void setMaxOldCount(Integer maxOldCount) {
        this.maxOldCount = maxOldCount;
    }
	public Date getUpdatedTime() {
		return updatedTime;
	}
	public void setUpdatedTime(Date updatedTime) {
		this.updatedTime = updatedTime;
	}
	public Integer getUpdatedBy() {
		return updatedBy;
	}
	public void setUpdatedBy(Integer updatedBy) {
		this.updatedBy = updatedBy;
	}
	public Integer getTaskId() {
		return taskId;
	}
	public void setTaskId(Integer taskId) {
		this.taskId = taskId;
	}
	public Integer getLastPaperWord() {
		return lastPaperWord;
	}
	public void setLastPaperWord(Integer lastPaperWord) {
		this.lastPaperWord = lastPaperWord;
	}
	public Integer getLastAnswerWord() {
		return lastAnswerWord;
	}
	public void setLastAnswerWord(Integer lastAnswerWord) {
		this.lastAnswerWord = lastAnswerWord;
	}
	public Date getStartTime() {
		return startTime;
	}
	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}
    public String getTikaType() {
		return tikaType;
	}
	public void setTikaType(String tikaType) {
		this.tikaType = tikaType;
	}
	public Integer getLastZhuanyinWord() {
		return lastZhuanyinWord;
	}
	public void setLastZhuanyinWord(Integer lastZhuanyinWord) {
		this.lastZhuanyinWord = lastZhuanyinWord;
	}
	public Integer getLastZhuanyinWord2() {
		return lastZhuanyinWord2;
	}
	public void setLastZhuanyinWord2(Integer lastZhuanyinWord2) {
		this.lastZhuanyinWord2 = lastZhuanyinWord2;
	}
	public List<PagerConstructQtype> getQtypeList() {
		return qtypeList;
	}
	public void setQtypeList(List<PagerConstructQtype> qtypeList) {
		this.qtypeList = qtypeList;
	}
	public List<WordHistory> getPaperWordHistories() {
		return paperWordHistories;
	}
	public void setPaperWordHistories(List<WordHistory> paperWordHistories) {
		this.paperWordHistories = paperWordHistories;
	}
	public List<WordHistory> getAnswerWordHistories() {
		return answerWordHistories;
	}
	public void setAnswerWordHistories(List<WordHistory> answerWordHistories) {
		this.answerWordHistories = answerWordHistories;
	}
	public Integer getLastWangpingWord() {
		return lastWangpingWord;
	}
	public void setLastWangpingWord(Integer lastWangpingWord) {
		this.lastWangpingWord = lastWangpingWord;
	}
	public Integer getLastTikaWord() {
		return lastTikaWord;
	}
	public void setLastTikaWord(Integer lastTikaWord) {
		this.lastTikaWord = lastTikaWord;
	}
	public List<WordHistory> getWangpingWordHistories() {
		return wangpingWordHistories;
	}
	public void setWangpingWordHistories(List<WordHistory> wangpingWordHistories) {
		this.wangpingWordHistories = wangpingWordHistories;
	}
	public List<WordHistory> getTikaWordHistories() {
		return tikaWordHistories;
	}
	public void setTikaWordHistories(List<WordHistory> tikaWordHistories) {
		this.tikaWordHistories = tikaWordHistories;
	}
	public List<WordHistory> getZhuanyinHistories() {
		return zhuanyinHistories;
	}
	public void setZhuanyinHistories(List<WordHistory> zhuanyinHistories) {
		this.zhuanyinHistories = zhuanyinHistories;
	}
	
}

	